<?php require_once('Connections/paivaconex.php'); 
include("FusionCharts_Enterprise/Code/PHP/Includes/FusionCharts.php");
session_start();
?>

<script language="javascript" src="FusionCharts_Enterprise/JSClass/FusionCharts.js"></script>

<?php
if (!function_exists("GetSQLValueString")) {
function GetSQLValueString($theValue, $theType, $theDefinedValue = "", $theNotDefinedValue = "") 
{
  if (PHP_VERSION < 6) {
    $theValue = get_magic_quotes_gpc() ? stripslashes($theValue) : $theValue;
  }

  $theValue = function_exists("mysql_real_escape_string") ? mysql_real_escape_string($theValue) : mysql_escape_string($theValue);

  switch ($theType) {
    case "text":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;    
    case "long":
    case "int":
      $theValue = ($theValue != "") ? intval($theValue) : "NULL";
      break;
    case "double":
      $theValue = ($theValue != "") ? doubleval($theValue) : "NULL";
      break;
    case "date":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;
    case "defined":
      $theValue = ($theValue != "") ? $theDefinedValue : $theNotDefinedValue;
      break;
  }
  return $theValue;
}
}

$sql = '';

if (count($_POST) >=1) {
	if (isset($_POST['mes'])) {
		$quando[] = "month(datafluxo) IN (".implode( " ,",$_POST['mes']).")";
	}
	if (isset($_POST['ano'])) {
		$quando[] = "year(datafluxo) IN (".implode( " ,",$_POST['ano']).")";
	}
	if (isset($_POST['dia'])) {
		$quando[] = "day(datafluxo) IN (".implode( " ,",$_POST['dia']).")";
	}
	if (isset($_POST['cliente'])) {
		$quando[] = "Cliente IN (".implode( " ,",$_POST['cliente']).")";
	}
	if (isset($_POST['pasta'])) {
		$quando[] = "Pasta IN (".implode( " ,",$_POST['pasta']).")";
	}
	if (isset($_POST['fornecedor'])) {
		$quando[] = "Fornecedor IN (".implode( " ,",$_POST['fornecedor']).")";
	}
	if (isset($_POST['conta'])) {
		$quando[] = "mfin_fornecedores.ContaResultado IN (".implode( " ,",$_POST['conta']).")";
	}
	if (isset($_POST['grupo'])) {
		$quando[] = "mfin_grupocontas.Id IN (".implode( " ,",$_POST['grupo']).")";
	}
	if (isset($_POST['status'])) {
		$quando[] = "status IN (".implode( " ,",$_POST['status']).")";
	}
	if (isset($_POST['detalhe'])) {
		$quando[] = "dashboard.Detalhe IN ('".implode( "' ,'",$_POST['detalhe'])."')";
	}

	$sql = "WHERE ".implode( " AND ", $quando);	
}


if (strlen($sql) < 3){
	$sql = "WHERE year(datafluxo) = Year(NOW())";
}


mysql_select_db($database_paivaconex, $paivaconex);
$query_faturamento_mensal = "Select Sum(vl_pag+Juros_pag) as vl, DATE_FORMAT(datafluxo, '%b') as mes from dashboard
Inner Join mfin_clientes ON Cliente = mfin_clientes.Id
Left Join mfin_pastas ON Pasta = mfin_pastas.Id
Inner Join mfin_fornecedores ON Fornecedor = mfin_fornecedores.Id
Inner Join mfin_contas ON mfin_fornecedores.ContaResultado = mfin_contas.Id
Inner Join mfin_grupocontas ON Grupo = mfin_grupocontas.Id 
".$sql." Group by DATE_FORMAT(datafluxo, '%b') order by month(datafluxo)";
$faturamento_mensal = mysql_query($query_faturamento_mensal, $paivaconex) or die(mysql_error());
$row_faturamento_mensal = mysql_fetch_assoc($faturamento_mensal);
$totalRows_faturamento_mensal = mysql_num_rows($faturamento_mensal);




   $strXML  = "";
   $strXML .= "<chart caption='Faturamento Mensal' xAxisName='Mes' yAxisName='Valor' formatNumber='1' decimalSeparator=',' decimals='2' thousandSeparator='.' showValues='0'  formatNumberScale='0' showBorder='0' >";
   
   do {   
   $strXML .= "<set label='".$row_faturamento_mensal['mes']."' value='".$row_faturamento_mensal['vl']."' />";
   } while ($row_faturamento_mensal = mysql_fetch_assoc($faturamento_mensal));
   
   $strXML .= "</chart>";



//  






echo renderChartHTML("FusionCharts_Enterprise/Charts/Column3D.swf", "", "$strXML", "myNext", 1190, 271, false);







mysql_free_result($faturamento_mensal);
?>
